package examples;



import java.util.Iterator;

import gate.*;
import gate.creole.SerialAnalyserController;


public class ShowTokens {
	
	
	public static void main(String args[]) {
		// initialise GATE
		try {
			
			Gate.init();
			
			// create a GATE document from a string
			Document doc=Factory.newDocument("This is a sentence");
			// create a Corpus 
			Corpus corpus=Factory.newCorpus("a corpus");
			// put document in the corpus
			corpus.add(doc);		
			// create a GATE tokeniser
			ProcessingResource tokeniser=(ProcessingResource)
			Factory.createResource("gate.creole.tokeniser.DefaultTokeniser");
			// create a GATE controller to hold the tokeniser
			SerialAnalyserController controller=(SerialAnalyserController) 
			Factory.createResource("gate.creole.SerialAnalyserController");
			// add tokeniser as first 
			controller.add(tokeniser);
			// set the corpus
			controller.setCorpus(corpus);
			// run the controller
			controller.execute();
			// process one token at a time
			// get the default annotation set
			AnnotationSet all=doc.getAnnotations();
			// get the tokens in the default set
			AnnotationSet tokens=all.get("Token");
			
			Annotation token;
			FeatureMap fm;
			// iterate over the tokens
			Iterator ite=tokens.iterator();
			while(ite.hasNext()) {
				token=(Annotation)ite.next();
				fm=token.getFeatures();
				System.out.println(fm.get("string")+"/"+fm.get("kind"));
				
			}
		
			
			
			
			

			
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}

