package examples;



import java.net.URL;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;

import gate.*;
import gate.creole.SerialAnalyserController;
import gate.util.OffsetComparator;


public class ShowTokensFile {
	
	
	public static void main(String args[]) {
		// initialise GATE
		try {
			
			Gate.init();
			
			// create a GATE document from an URL 
			Document doc=Factory.newDocument(
					new URL("file:///C:/horacio/ESSLLI-2007/resources/texts/19970814_001.bis.xml"));
			// create a Corpus 
			Corpus corpus=Factory.newCorpus("a corpus");
			// put document in the corpus
			corpus.add(doc);		
			// create a GATE tokeniser
			ProcessingResource tokeniser=(ProcessingResource)
			Factory.createResource("gate.creole.tokeniser.DefaultTokeniser");
			// create a GATE controller to hold the tokeniser
			SerialAnalyserController controller=(SerialAnalyserController) 
			Factory.createResource("gate.creole.SerialAnalyserController");
			// add tokeniser as first 
			controller.add(tokeniser);
			// set the corpus
			controller.setCorpus(corpus);
			// run the controller
			controller.execute();
			// process one token at a time
			// get the default annotation set
			AnnotationSet all=doc.getAnnotations();
			// get the tokens in the default set
			AnnotationSet tokens=all.get("Token");
			// put tokens in an array
			ArrayList tokenList=new ArrayList(tokens);
			// create a comparator
			Comparator offsetComp=new OffsetComparator();
			//sort the tokens
			Collections.sort(tokenList,offsetComp);
			
			Annotation token;
			FeatureMap fm;
			// iterate over the tokens
			for(int t=0;t<tokenList.size();t++) {
				token=(Annotation)tokenList.get(t);
				fm=token.getFeatures();
				System.out.println(fm.get("string")+"/"+fm.get("kind"));
				
			}
		
			
			
			
			

			
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}

