package examples;

import gate.*;
import gate.creole.SerialAnalyserController;


public class TestTokeniser {
	
	
	public static void main(String args[]) {
		// initialise GATE
		try {
			
			Gate.init();
			
			// create a GATE document from a string
			Document doc=Factory.newDocument("This is a sentence");
			// create a Corpus 
			Corpus corpus=Factory.newCorpus("a corpus");
			// put document in the corpus
			corpus.add(doc);		
			// create a GATE tokeniser
			ProcessingResource tokeniser=(ProcessingResource)
			Factory.createResource("gate.creole.tokeniser.DefaultTokeniser");
			// create a GATE controller to hold the tokeniser
			SerialAnalyserController controller=(SerialAnalyserController) 
			Factory.createResource("gate.creole.SerialAnalyserController");
			// add tokeniser as first 
			controller.add(tokeniser);
			// set the corpus
			controller.setCorpus(corpus);
			// run the controller
			controller.execute();
			// see what is in the document
			System.out.println(doc.getAnnotations());
			
			// now we can do things with the tokens
			
			
			
			

			
			
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

}
